Version Compatibility

The following Data Hub and Data Hub Framework versions are supported for various Data Hub Service (DHS) on AWS releases.

For version compatibility for previous versions of MarkLogic Data Hub Service, see Appendix: Version Compatibility.

Data Hub Service version Default Data Hub version Can contact Support to upgrade your Data Hub version to
3 3.2.x 5.5.x
3.1.x
3.0.x 5.4.x
2 2.11.x 5.2.x
2.10.x

To view documentation for current and previous versions of MarkLogic Data Hub, see MarkLogic Data Hub Documentation Archives.

Tip: To check the full Data Hub version installed in your service, go to the DHS portal and view your service. See also: Troubleshooting
Important: If your service supports a Data Hub version upgrade, you can contact Support to upgrade your DHS environment to use a later Data Hub version. Specify which Data Hub version you want your DHS environment to use based on the preceding table.

Upgrade Your Data Hub Project

Upgrade your Data Hub project to the version your DHS environment is using. To upgrade your Data Hub project, see the following upgrade instructions:

Note: Data Hub 5.3.0 was released only as an internal beta.